Table of Contents

## Name

AuErrorEvent - error event structure

## Structures

#include <audio/audiolib.h>

typedef union _AuEvent
{
. . .
AuErrorEvent auerror;
. . .
}AuEvent;

typedef struct _AuErrorEvent
{
int type;
AuUint32 serial;
AuBool send_event;
AuServer *server;
AuTime time;
AuID resourceid;
unsigned char error_code;
unsigned char request_code;
unsigned char minor_code;
union
{
AuUint32 l[4];
}data;
}AuErrorEvent;

## Members

type
  The event type. Error events are type 0.
serial
  The serial number of the failed request.
send_event
  AuTrue if the event came from a SendEvent protocol request.
server
  The connection to the audio server that the event was read from.
time
  The server time in milliseconds when the event was generated.
resourceid
  The resource ID or other value of the failed request.
error_code
  The error code of the failed request.
request_code
  The protocol major request code of the failed request.
minor_code
  The protocol minor request code of the failed request.
data
  Never used?

## Description

Error events are sent to clients to alert them of non-fatal errors encountered while processing requests.

## See Also

AuAnyEvent, AuElementNotifyEvent, AuGrabNotifyEvent, AuMonitorNotifyEvent.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Structures
- Members
- Description
- See Also